%define version 2.0.1
%define release 5mdk

%define pkgname gconfmm
%define major 	    1
%define api_version 2.0
%define libname     %mklibname %pkgname %api_version

Name:	 	%{pkgname}%{api_version}
Summary: 	A C++ interface for GConf2.
Version: 	%version
Release: 	%release
License: 	LGPL
Group:   	System/Libraries
Source:  	%{pkgname}-%{version}.tar.bz2
URL:     	http://gtkmm.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:	gcc-c++
BuildRequires:	libGConf2-devel
BuildRequires:	libgtkmm2.0-devel

%description
This package provides a C++ interface for gconf2.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.

%package -n %{libname}_%{major}
Summary:    %{summary}
Group:      %{group}
Obsoletes:  %{name}
Provides:   %{name} = %{version}-%{release}

%description -n %{libname}_%{major}
This package provides a C++ interface for gconf2.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.

%package -n %{libname}_%{major}-devel
Summary:    Headers and development files of GConf 2 C++ wrapper
Group:      Development/GNOME and GTK+
Obsoletes:  %{name}-devel
Provides:   %{name}-devel = %{version}-%{release}
Provides:   %{libname}-devel = %{version}-%{release}
Requires:   %{libname}_%{major} = %{version}

%description -n %{libname}_%{major}-devel
This package contains the headers and various development files needed,
when compiling or developing programs which want GConf 2 C++ wrapper.

%prep
%setup -q -n %pkgname-%version

%build
%configure2_5x --enable-static
%make 

%install
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}
%makeinstall_std

%post -n %{libname}_%{major} -p /sbin/ldconfig
%postun -n %{libname}_%{major} -p /sbin/ldconfig

%clean
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}

%files -n %{libname}_%{major}
%defattr(-, root, root)
%doc COPYING.LIB
%{_libdir}/*.so.*

%files -n %{libname}_%{major}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/%{pkgname}-%{api_version}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Fri Aug 29 2003 Abel Cheung <deaddog@deaddog.org> 2.0.1-5mdk
- Can't even fix changelog? Counter black magic with black magic

* Fri Aug 29 2003 Abel Cheung <deaddog@deaddog.org> 2.0.1-4mdk
- Rebuild again, main library RPM vaporized (Thx Austin)
- Relax -devel requirement a little bit

* Fri Aug 22 2003 Abel Cheung <maddog@linux.org.hk> 2.0.1-3mdk
- Rebuild against new gtkmm

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 2.0.1-2mdk
- Enable static libraries
- Other spec tweaks

* Sun Apr 6 2003 Austin Acton <aacton@yorku.ca> 2.0.0-1mdk
- initial package
